<!DOCTYPE html>
<html>
 <head>   
     <title>Percentage vs Pixels</title>
<style>
    div{
        border: 2px solid black;

    }
    .fifty-percent{
        width: 50%;
        background-color: cadetblue;
    }
    .hundred-px{
            width: 100px;
            background-color: cadetblue;
    }
    .parent{
        width: 250px;
        background-color: blueviolet;
    }
</style>
 </head>

<body>
    <div class="fifty-percent">50%</div>
    <div class="hundred-px">100px</div>
    <hr><hr>
    <div class="parent">
        <div class="fifty-percent">50%</div>
        <div class="hundred-px">100px</div>
    </div>
</body>

</html>